;****************************************************************
;ALIC Source Code:
;Beleuchtung fr Learjet, geschaltet ber Memory-Switch:
;Fk.1: Landescheinwerfer an/aus
;Fk.2: Positionslichter an/aus
;Fk.3: ACL an/aus
;Fk.4: Beacon an/aus
;****************************************************************

;Ch.0 = ACL (Flaechenspitzen, Doppelblitz)
;Ch.1 = ACL (Rumpfende, Einfachblitz)
;Ch.2 = Landescheinwerfer
;Ch.3 = Positionslichter
;Ch.4 = Beacon (Rumpfboden)
;Ch.5 = Beacon (auf Leitwerk)

;Code fr ACL: Doppelblitz, lst synchron auch Blitz am Heck aus
entry_ch0
	DEFSWITCH 	10	;RC-Memory-Switch 3 -> ACL on/off
	HALTSWOFF
	LIGHTON		3	;Blitz: 30 ms	
	SETSWX		1	;aktiviert Blitz am Heck
	LIGHTOFF	13	;Pause 130 ms
	LIGHTON		3	;2. Blitz
	LIGHTOFF	130	;1,3 s Pause
	P_RESET

;Code fr Einfach-Blitz:
entry_ch1
	HALTSWOFF		;warten auf Aktivierung 
	CLRSW			;Schalter wieder zurcksetzen
	LIGHTON		3	;Blitz!
	P_RESET

;Lande-Scheinwerfer: schalten mit Glhlampen-Simulation
entry_ch2
	DEFSWITCH	8	;erster Memory-Switch
	HALTSWOFF
	SMOOTHON
	LIGHTOFF	40	;Aufglimmen = 0,4s
	LIGHTON		0
	HALTSWON		;warten, bis Ausschalten
	SETBRIGHT	128,14	;Ausglimm-Sequenz...
	SETBRIGHT	32,14
	SETBRIGHT	8,14
	SETBRIGHT	2,20
	SETBRIGHT	0,0
	P_RESET
	
;Positionslichter: einfacher Ein-/Ausschalter	
entry_ch3
	DEFSWITCH	9	;zweiter Memory-Switch	
	HALTSWOFF
	LIGHTON		0
	HALTSWON
	P_RESET

;Simuliert Beacon/Drehlicht
entry_ch4
	DEFSWITCH	11
	SMOOTHON
	HALTSWOFF
	SETBRIGHT	0,16	;in 160 ms auf 16
	SETBRIGHT	16,3	;in 30 ms auf volle Helligkeit
	SETBRIGHT	128,2	;volle H. 20 ms halten
	SETBRIGHT	128,3	;dann in 30 ms zurck auf 16
	SETBRIGHT	16,16
	SETBRIGHT	0,45	;450 ms Ausphase 
	P_RESET

;wie Ch.4, aber etwas andere Drehfrequenz
entry_ch5
	DEFSWITCH	11
	SMOOTHON
	HALTSWOFF
	SETBRIGHT	0,16	;in 160 ms auf 16
	SETBRIGHT	16,3	;in 30 ms auf volle Helligkeit
	SETBRIGHT	128,2	;volle H. 20 ms halten
	SETBRIGHT	128,3	;dann in 30 ms zurck auf 16
	SETBRIGHT	16,16
	SETBRIGHT	0,50	;500 ms Ausphase 
	P_RESET

entry_ch6	;(Dummies)
entry_ch7
	P_RESET

