;**********************************************************
;***          ALIC Light Controller Version 1.0         ***
;**********************************************************

;Kurzanleitung:
;1. Diese Datei in Microchip MPLAB ffnen:
;	(dort im Men: File/Open...)

;2. PIC-Controllertyp einstellen:
;	Men: Configure/Select Device...
;	erlaubt: PIC12F675, PIC16F630, PIC16F636,PIC16F648A
;Hex-Code fr PIC12F675 kann auch in PIC12F629 gebrannt werden,
;Hex-Code fr PIC16F648 kann auch fr die Typen PIC16F627A
;und PIC16F628A verwendet werden.

;3. Ggf. Konfigurations-Einstellungen (Abschnitt weiter unten)
;   entsprechend der gewnschten eigenen Anwendung einstellen
;   und Datei speichern. 

;4. Assembler starten:
;	Men: Project/Quickbuild picalic.asm

;5. Fenster "Output" anschauen: es sollten dort keine 
;   "Warnings" oder gar "Error"-Meldungen stehen!

;6. Neue Datei "picalic.hex" in PIC brennen...
;		Fertig!

;--------------- Ende der Kurzanleitung -------------------

;**************************************************************
;*** Konfigurationsdaten:                                   ***
;**************************************************************

	radix	dec		;Zahlen ohne Basis-Kennzeichnung: dezimal
	
#define  ALICFILE ALIC_source/switchtest.asm	;ALIC ASM-Sourcefile (Licht-Patterns)

#define CLOCK	4		;CPU Taktfrequenz (4 or 8 MHz)
#define NCHAN	5		;Anzahl der Ausgangskanle (1..8)
#define ACTIVELOW 0		;LED-Ausgnge sind invertiert wenn "1"
#define AUXOUTA	B'000000'	;freie RA-Ports = Ausgang wenn "1" (5..0)
#define AUXOUTB	B'00000000'	;freie RB-Ports = Ausgang wenn "1" (7..0)
#define AUXOUTC B'000000'	;freie RC- bzw. GP-Ports = Ausgang wenn "1"
				;(GP3 bzw.RA3 ist aber immer ein Eingang!)
#define COMMTICK 0		;0: individuelle Ticklnge pro Ausgang mglich
				;1: gemeinsame Ticklnge, 10ms fest eingestellt
				;(Option 1 braucht weniger RAM)
#define PWMTU	80		;Lnge der PWM-Zeiteinheit (Microsekunden)
#define	PWMCYC	128		;Anzahl PWMTUs in einem vollen PWM-Impuls, 
				;d.h. PWM-Periodendauer = PWMTU * PWMCYC Microsek.
#define RCCHAN	1		;Anzahl RC Eingnge (0, 1 oder 2)
#define RCHYST	2		;Hysterese fr RC-Prozessing (* 8 s)

;fr RC Memory-Switch Funktion: 
#define STARTSW B'00000000'	;Status der Schalter bei Start (Nummer 15..8) 
#define RCPW_HIGH 90		;RC-Impuls Schwellwert (90: ca. 1,7ms)
#define RCPW_LOW 39		;RC-Impuls Schwellwert (39: ca. 1,3ms)
				;(64 = 1,5ms, 1 Schritt = 8 s)
#define MS_LONG	10		;min. Haltezeit des Knppels in der Endstellung 
				;fr 2. Memory-Switch Function
				;(1 Schritt: 1/10 s, max. Wert = 15)

;---------------- Ende der Konfigurations-Daten

#include alc_main.asm		;Main Code

 if RCCHAN			;if RC-interfacing: 
#include alc_rc.asm		;include RC-routines
 endif

		
 END
